//
//
//

#ifndef _GAME1_H_
#define _GAME1_H_

#include "graphics.h"
#include "osdepend.h"

extern BYTE _rgbRAM[0x10000];
#define RAM _rgbRAM

struct RomModule
{
    const char     *name;       /* name of the file to load */
    int             offset;     /* offset to load it to */
    int             size;       /* length of the file */
};

int readroms(unsigned char *dest, const struct RomModule * romp,
	const char *basename, LPTSTR pszMsg, UINT cchMsgMax);

#define RAGE_ROMTABLE_BEGIN(name) static const RomModule name[] = {
#define RAGE_ROMTABLE_ENTRY(name,addr,size) { (name), (addr), (size) },
#define RAGE_ROMTABLE_END { NULL, 0x0000, 0x0000 } };

#ifndef LPCDWORD
typedef const DWORD far           *LPCDWORD;
#endif

struct RomModule2
{
    const char     *name;       /* name of the file to load */
    int             offset;     /* offset to load it to */
    int             size;       /* length of the file */
    int             addr;       
};

int readroms(unsigned char *dest, const struct RomModule2 * romp,
	const char *basename, LPTSTR pszMsg, UINT cchMsgMax);

extern "C" void TRACE(LPCTSTR pszFormat, ...);

struct CONTROL
{
	WORD A;
	BYTE bDefault;
	int rgnKey[8];
};

BOOL ReadControl(const WORD A, const CONTROL *pCtrl, BYTE &b);

#endif // _GAME1_H_

